import { Position } from '../../types'
declare const _default: import('vue').DefineComponent<
  {
    id: {
      type: import('vue').PropType<string>
      required: true
    }
    sourceNode: {
      type: import('vue').PropType<import('../../types').GraphNode<any>>
      required: true
    }
    targetNode: {
      type: import('vue').PropType<import('../../types').GraphNode<any>>
      required: true
    }
    label: {
      type: import('vue').PropType<
        | string
        | {
            props?: any
            component: any
          }
      >
    } & {
      default: string
    }
    type: {
      type: import('vue').PropType<string>
    }
    data: {
      type: import('vue').PropType<import('../../types').ElementData>
    }
    style: {
      type: import('vue').PropType<import('vue').CSSProperties>
    }
    sourceX: {
      type: import('vue').PropType<number>
      required: true
    }
    sourceY: {
      type: import('vue').PropType<number>
      required: true
    }
    targetX: {
      type: import('vue').PropType<number>
      required: true
    }
    targetY: {
      type: import('vue').PropType<number>
      required: true
    }
    selected: {
      type: import('vue').PropType<boolean>
    } & {
      default: boolean
    }
    sourcePosition: {
      type: import('vue').PropType<Position>
      required: true
    } & {
      default: Position
    }
    targetPosition: {
      type: import('vue').PropType<Position>
      required: true
    } & {
      default: Position
    }
    sourceHandleId: {
      type: import('vue').PropType<string>
    }
    targetHandleId: {
      type: import('vue').PropType<string>
    }
    source: {
      type: import('vue').PropType<string>
      required: true
    }
    target: {
      type: import('vue').PropType<string>
      required: true
    }
    sourceHandle: {
      type: import('vue').PropType<string>
    }
    targetHandle: {
      type: import('vue').PropType<string>
    }
    labelStyle: {
      type: import('vue').PropType<any>
    } & {
      default: () => {}
    }
    labelShowBg: {
      type: import('vue').PropType<boolean>
    } & {
      default: boolean
    }
    labelBgStyle: {
      type: import('vue').PropType<any>
    } & {
      default: () => {}
    }
    labelBgPadding: {
      type: import('vue').PropType<[number, number]>
    }
    labelBgBorderRadius: {
      type: import('vue').PropType<number>
    }
    animated: {
      type: import('vue').PropType<boolean>
    }
    updatable: {
      type: import('vue').PropType<boolean>
    }
    markerStart: {
      type: import('vue').PropType<string>
    }
    markerEnd: {
      type: import('vue').PropType<string>
    }
    borderRadius: {
      type: import('vue').PropType<number>
    }
    curvature: {
      type: import('vue').PropType<number>
    }
  },
  () => void,
  unknown,
  {},
  {},
  import('vue').ComponentOptionsMixin,
  import('vue').ComponentOptionsMixin,
  Record<string, any>,
  string,
  import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps,
  Readonly<
    import('vue').ExtractPropTypes<{
      id: {
        type: import('vue').PropType<string>
        required: true
      }
      sourceNode: {
        type: import('vue').PropType<import('../../types').GraphNode<any>>
        required: true
      }
      targetNode: {
        type: import('vue').PropType<import('../../types').GraphNode<any>>
        required: true
      }
      label: {
        type: import('vue').PropType<
          | string
          | {
              props?: any
              component: any
            }
        >
      } & {
        default: string
      }
      type: {
        type: import('vue').PropType<string>
      }
      data: {
        type: import('vue').PropType<import('../../types').ElementData>
      }
      style: {
        type: import('vue').PropType<import('vue').CSSProperties>
      }
      sourceX: {
        type: import('vue').PropType<number>
        required: true
      }
      sourceY: {
        type: import('vue').PropType<number>
        required: true
      }
      targetX: {
        type: import('vue').PropType<number>
        required: true
      }
      targetY: {
        type: import('vue').PropType<number>
        required: true
      }
      selected: {
        type: import('vue').PropType<boolean>
      } & {
        default: boolean
      }
      sourcePosition: {
        type: import('vue').PropType<Position>
        required: true
      } & {
        default: Position
      }
      targetPosition: {
        type: import('vue').PropType<Position>
        required: true
      } & {
        default: Position
      }
      sourceHandleId: {
        type: import('vue').PropType<string>
      }
      targetHandleId: {
        type: import('vue').PropType<string>
      }
      source: {
        type: import('vue').PropType<string>
        required: true
      }
      target: {
        type: import('vue').PropType<string>
        required: true
      }
      sourceHandle: {
        type: import('vue').PropType<string>
      }
      targetHandle: {
        type: import('vue').PropType<string>
      }
      labelStyle: {
        type: import('vue').PropType<any>
      } & {
        default: () => {}
      }
      labelShowBg: {
        type: import('vue').PropType<boolean>
      } & {
        default: boolean
      }
      labelBgStyle: {
        type: import('vue').PropType<any>
      } & {
        default: () => {}
      }
      labelBgPadding: {
        type: import('vue').PropType<[number, number]>
      }
      labelBgBorderRadius: {
        type: import('vue').PropType<number>
      }
      animated: {
        type: import('vue').PropType<boolean>
      }
      updatable: {
        type: import('vue').PropType<boolean>
      }
      markerStart: {
        type: import('vue').PropType<string>
      }
      markerEnd: {
        type: import('vue').PropType<string>
      }
      borderRadius: {
        type: import('vue').PropType<number>
      }
      curvature: {
        type: import('vue').PropType<number>
      }
    }>
  >,
  {
    selected: boolean
    label:
      | string
      | {
          props?: any
          component: any
        }
    targetPosition: Position
    sourcePosition: Position
    labelStyle: any
    labelShowBg: boolean
    labelBgStyle: any
  }
>
export default _default
