import { ElementData, FlowOptions, UseVueFlow } from '../types'
export declare class Storage {
  currentId: number
  flows: Map<string, UseVueFlow<ElementData, ElementData>>
  static instance: Storage
  static getInstance(): Storage
  set(id: string, flow: UseVueFlow): void
  get(id: string): UseVueFlow<ElementData, ElementData> | undefined
  remove(id: string): void
  create(id: string, preloadedState?: Partial<FlowOptions>): UseVueFlow
  getId(): string
}
declare const _default: <NodeData = ElementData, EdgeData = ElementData>(
  options?: Partial<FlowOptions<ElementData, ElementData>> | undefined,
) => UseVueFlow<NodeData, EdgeData>
export default _default
